Ecore initialization, shutdown functions and reset on fork.

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Ecore initialization, shutdown functions and reset on fork.
Ecore

## Functions
int | ecore_init (void)
| Set up connections, signal handlers, sockets etc. More...
int | ecore_shutdown (void)
| Shut down connections, signal handlers sockets etc. More...

## Detailed Description

## Function Documentation

int ecore_init | ( | void |  | ) |

Set up connections, signal handlers, sockets etc.

Returns
  1 or greater on success, 0 otherwise

This function sets up all singal handlers and the basic event loop. If it succeeds, 1 will be returned, otherwise 0 will be returned.

1 #include <Ecore.h>
2
3 int main(int argc, char **argv)
4 {
5 if (!ecore_init())
6 {
7 printf("ERROR: Cannot init Ecore!\n");
8 return -1;
9 }
10 ecore_main_loop_begin();
11 ecore_shutdown();
12 }

References ecore_animator_add(), ecore_init(), ecore_main_loop_glib_integrate(), ecore_timer_add(), eina_condition_new(), eina_init(), eina_lock_new(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, eina_log_timing(), eina_prefix_new(), eina_shutdown(), eo_add, eo_init(), eo_shutdown(), ERR, evil_init(), evil_shutdown(), INF, and unsetenv().

Referenced by ecore_audio_init(), ecore_con_init(), ecore_con_url_init(), ecore_drm_init(), ecore_evas_init(), ecore_event_init(), ecore_file_init(), ecore_imf_init(), ecore_init(), ecore_wl_init(), ecore_x_init(), edje_init(), eeze_init(), efreet_init(), efreet_mime_init(), eio_init(), eldbus_init(), elocation_init(), emotion_init(), and ethumb_init().

int ecore_shutdown | ( | void |  | ) |

Shut down connections, signal handlers sockets etc.

Returns
  0 if ecore shuts down, greater than 0 otherwise. This function shuts down all things set up in ecore_init() and cleans up all event queues, handlers, filters, timers, idlers, idle enterers/exiters etc. set up after ecore_init() was called.

Do not call this function from any callback that may be called from the main loop, as the main loop will then fall over and not function properly.

References ecore_timer_del(), eina_condition_free(), eina_lock_free(), eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, eina_log_timing(), eina_prefix_free(), eina_shutdown(), eo_shutdown(), eo_unref(), ERR, and evil_shutdown().

Referenced by ecore_audio_init(), ecore_audio_shutdown(), ecore_con_init(), ecore_con_shutdown(), ecore_con_url_shutdown(), ecore_drm_init(), ecore_drm_shutdown(), ecore_evas_init(), ecore_evas_shutdown(), ecore_event_shutdown(), ecore_file_shutdown(), ecore_imf_init(), ecore_imf_shutdown(), ecore_wl_init(), ecore_x_init(), ecore_x_init_from_display(), edje_init(), eeze_init(), eeze_shutdown(), efreet_init(), efreet_mime_init(), efreet_mime_shutdown(), efreet_shutdown(), eio_shutdown(), eldbus_init(), eldbus_shutdown(), elocation_shutdown(), emotion_shutdown(), and ethumb_shutdown().